summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-01-22 08:34:31 +0100
committerHans de Graaff <graaff@gentoo.org>2020-01-22 08:34:31 +0100
commit587406654d924685237c08b06b2256617487b224 (patch)
tree7df5a4cc4275cbc00fadf2d2c10bf45dd7af159d
parentprofiles: Drop stable use mask for emacs[mailutils] on ia64. (diff)
downloadgentoo-587406654d924685237c08b06b2256617487b224.tar.gz
gentoo-587406654d924685237c08b06b2256617487b224.tar.bz2
gentoo-587406654d924685237c08b06b2256617487b224.zip
dev-ruby/commander: add 4.5.0
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/commander/Manifest1
-rw-r--r--dev-ruby/commander/commander-4.5.0.ebuild24
2 files changed, 25 insertions, 0 deletions
diff --git a/dev-ruby/commander/Manifest b/dev-ruby/commander/Manifest
index 1aedd6c8bb8..4c7504e0929 100644
--- a/dev-ruby/commander/Manifest
+++ b/dev-ruby/commander/Manifest
@@ -1 +1,2 @@
DIST commander-4.4.7.gem 37376 BLAKE2B 69965f1bf65cdbcf706a8a0106aba05313e9a49808d5c1ac6e938e364e46e940b6d61757046fab9ec00776b1207832f4232242814244f905267fb6ffe8ac3905 SHA512 1a5169448419cec0b04390a42e79c7299c66cf44a0d1d8cd938879970bfd4c72e5741a5f4b2899e60c707e0088b50853ec19eeda9ac66cc6f26a5790294a03fe
+DIST commander-4.5.0.gem 37376 BLAKE2B dd8613872911c45b927c1c658661ad333d7e0e18e12bb7b84c5968a9a0eb6279c2cfde32a499f7ed335e367eb7142881a6b8321afc1f465fb4d151282199ca6e SHA512 400cd151906b296fabce480465123121d01bb211558c111074b51acbbf98a6bd5dddeda6753a964674c9c91e542787929e6a4fe0eeea46f8b218bee0dcd3f78c
diff --git a/dev-ruby/commander/commander-4.5.0.ebuild b/dev-ruby/commander/commander-4.5.0.ebuild
new file mode 100644
index 00000000000..70c03572a57
--- /dev/null
+++ b/dev-ruby/commander/commander-4.5.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="The complete solution for Ruby command-line executables"
+HOMEPAGE="https://visionmedia.github.com/commander/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/highline:2"
+
+all_ruby_prepare() {
+ sed -i -e "/simplecov/,/end/ s:^:#:" spec/spec_helper.rb || die
+}